## tripwire 2.4.2

=== debian/changelog ===
tripwire (2.4.2-9ubuntu1) oneiric; urgency=low

  * Build with -fpermissive. LP: #832889.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2011 22:57:31 +0000

tripwire (2.4.2-9) unstable; urgency=low

  * Add the last Spanish translation. (Closes: #601769)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 02 Nov 2010 13:33:34 +0100

tripwire (2.4.2-8) unstable; urgency=low

  * The Yet Another Round Of Translations Release:
    - Russian (Closes: #600495)
    - French (Closes: #600497)
    - Swedish (Closes: #600498)
    - Finnish (Closes: #600516)
    - German (Closes: #600525)
    - Danish (Closes: #600532)
    - Basque (Closes: #600569)
    - Portuguese (Closes: #600651)
    - Japanese (Closes: #600934)
    - Czech (Closes: #601077)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 27 Oct 2010 19:16:30 +0200

tripwire (2.4.2-7) unstable; urgency=low

  * Fixed some typos in debian/templates.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 17 Oct 2010 16:40:28 +0200

tripwire (2.4.2-6) unstable; urgency=low

  * More debconf translations! Updated:
    - Czech (Miroslav Kure). (Closes: #598350)
    - Basque (Iñaki Larrañaga Murgoitio). (Closes: #600071)
    - Italian (Vincenzo Campanella).  (Closes: #600097)
    - Spanish (Omar Campagne). (Closes: #600346)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 16 Oct 2010 20:03:17 +0200

tripwire (2.4.2-5) unstable; urgency=low

  * Fixed german debconf translation (Closes: #597046)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 17 Sep 2010 13:30:54 +0200

tripwire (2.4.2-4) unstable; urgency=low

  * The 'Mr. Perrier NMU email missive' release.
  * Updated debconf templates. (Closes: #588279, #588365,
    #589251, #589260, #590510, #591070, #596252, #596818)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 14 Sep 2010 13:32:57 +0200

tripwire (2.4.2-3) unstable; urgency=low

  * Brown paper bag release
    - Omit sendmail and editor check on build, not needed then
  * debian/twcfg.txt: Made it editor agnostic.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 06 Jul 2010 13:29:28 +0200

tripwire (2.4.2-2) unstable; urgency=low

  * Patch install/install.sh to stop it from checking if
    it's running on a terminal. (Closes: #588099)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 05 Jul 2010 12:46:36 +0200

tripwire (2.4.2-1) unstable; urgency=low

  * New upstream release. (Closes: #377382)
  * New maintainer (Closes: #543887)
  * Reworked the whole package.
    - Moved diff.gz to debian/patches
    - Build binaries statically again (Closes: #378523)
    - Switch to dpkg-source 3.0 (quilt) format.
    - Bumped Standards-Version to 3.9.0.
    - Rewrote debian/copyright debian/rules
    - Use postfix instead of exim4 as mta alternative :P
    - Made lintian clean

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 24 Jun 2010 17:43:30 +0200

tripwire (2.3.1.2.0-13) unstable; urgency=low

  * Updating to standards 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:08:14 +0200

tripwire (2.3.1.2.0-12) unstable; urgency=low

  * Adding vcs fields to control file.
  * Adding Basque debconf translation from Piarres Beobide
    <pi+debian@beobide.net> (Closes: #479964).
  * Removing po cruft imported with 2.3.1.2.0-11.1.
  * Removing watch file.
  * Removing useless whitespace in changelog of 2.3.1.2.0-11.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 May 2008 22:17:00 +0200

tripwire (2.3.1.2.0-11.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Fix typos/errors/inconsistencies in debconf templates.
    Closes: #438401
  * Correct debian/watch file. Thanks to Raphaël Geissert.
    Closes: #449676
  * Debconf translations:
    - German. Closes: #438399
    - Finnish. Closes: #476568
    - German. Closes: #478321
    - Galician. Closes: #479102
    - Russian. Closes: #479417
  * [Lintian] No longer ignore errors from "make clean"

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Apr 2008 16:39:32 +0200

tripwire (2.3.1.2.0-11) unstable; urgency=medium

  * Applied patch from Helge Kreutzmann <debian@helgefjell.de> to the English
    debconf template (Closes: #408644).
  * Applied patch from Javier Fernández-Sanguino Peña <jfs@computer.orgto
    fix typo in Spanish debconf translation (Closes: #418827).
  * Applied patch from Andrew Schulman <andrex@alumni.utexas.net> to fix typos
    in README.Debian (Closes: #378670).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Apr 2007 12:58:00 +0200

tripwire (2.3.1.2.0-10) unstable; urgency=medium

  * New maintainer (Closes: #321113).
  * Replacing $(PWD) with $(CURDIR) in rules (Closes: #414004).

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Mar 2007 16:26:00 +0100

tripwire (2.3.1.2.0-9) unstable; urgency=medium

  * QA upload.
  * Added Spanish debconf translation from Javier Ruano <adrakoa@es.gnu.org>
    (Closes: #411000).

 -- Daniel Baumann <daniel@debian.org>  Tue, 13 Feb 2007 10:28:00 +0100

tripwire (2.3.1.2.0-8) unstable; urgency=medium

  * QA upload.
  * Added German debconf translation from Matthias Julius <mdeb@julius-net.net>
    (Closes: #408468).

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Jan 2007 11:32:10 +0100

tripwire (2.3.1.2.0-7) unstable; urgency=low

  * QA upload.
  * debian/po/sv.po: Add translation by Daniel Nylander.  Closes: #334546.
  * debian/po/pt.po: Add translation by Rui Branco.  Closes: #350949.

 -- Matej Vela <vela@debian.org>  Tue, 07 Mar 2006 17:19:10 +0100

tripwire (2.3.1.2.0-6) unstable; urgency=low

  * QA upload.
  * Use `Pre-Depends: debconf | debconf-2.0' to allow for cdebconf.
    Closes: #332123.
  * debian/config, debian/preinst, debian/postinst: Fix bashisms.
  * debian/overrides: Add override for a bashism false positive.

 -- Matej Vela <vela@debian.org>  Thu, 06 Oct 2005 01:37:52 +0200

tripwire (2.3.1.2.0-5) unstable; urgency=low

  * Set maintainer to Debian QA Group

