=== debian/control ===
Source: tripwire
Section: utils
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.9.0

Package: tripwire
Architecture: any
Pre-Depends: ${misc:Depends}
Depends: ${shlibs:Depends}, postfix | mail-transport-agent
Description: file and directory integrity checker
 Tripwire is a tool that aids system administrators and users in
 monitoring a designated set of files for any changes.  Used with
 system files on a regular (e.g., daily) basis, Tripwire can notify
 system administrators of corrupted or tampered files, so damage
 control measures can be taken in a timely manner.
