=== debian/rules ===
#!/usr/bin/make -f
# (c) 2010 Alberto Gonzalez Iniesta

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: $(QUILT_STAMPFN)
	dh_testdir
	cp /usr/share/misc/config.guess .
	cp /usr/share/misc/config.sub .
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire

build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f config.log

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/tripwire/usr
	rm -rf $(CURDIR)/debian/tripwire/etc/tripwire/twpol-Linux.txt
	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/policyguide.txt
	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/COPYING
	install -m 600 debian/twcfg.txt debian/twpol.txt $(CURDIR)/debian/tripwire/etc/tripwire/
	install -m 644 -D debian/overrides $(CURDIR)/debian/tripwire/usr/share/lintian/overrides/tripwire

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installcron
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
