## tripwire 2.4.2.2

=== debian/changelog ===
tripwire (2.4.2.2-5) unstable; urgency=medium

  * debian/(control|rules): Add Build-Using field.
    (Closes: #769347)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 05 May 2015 12:00:27 +0200

tripwire (2.4.2.2-4) unstable; urgency=medium

  * Patch src/core/archive.cpp to fix FTBFS with GCC-4.9.
    Thanks dato for the patch! (Closes: #746919)
  * Bumped Standards-Version to 3.9.2

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 05 Jun 2014 14:12:24 +0200

tripwire (2.4.2.2-3) unstable; urgency=low

  * Remove sucky_autoconf_stuff patch, move to dh_autotools-dev_updateconfig.
    Thanks Logan Rosen for the patch (Closes: #736888)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 29 Jan 2014 12:45:41 +0100

tripwire (2.4.2.2-2) unstable; urgency=low

  * Acknowledge Christian's NMU. Thank you!
      Closes: #667399, #657170, #672740
  * Do not delete upstream's files on dh_clean.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 05 Jun 2012 10:45:08 +0200

tripwire (2.4.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include and
    by adding “this->” when needed (Closes: #667399).
    Patch by Cyril Brulebois.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #657170
    - Polish (Michał Kułach).  Closes: #672740

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 May 2012 07:05:29 +0200

tripwire (2.4.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches: removed cryptlib_endianness & hostname_policy_support.
    Applied upstream.
  * Updated debconf translations:
    - Brazilian Portuguese (Closes: #605288)
    - Slovak (Closes: #639433)
  * debian/patches: added source_typo to fix "Source" spelling error.
    (Closes: #627565)
  * Added TEMPDIRECTORY option in default twcfg.txt to keep tripwire
    from modifying the current directory or / when run from the cron job.
    (Closes: #616414, #353062). If you are already running tripwire you'll
    have to re-create the configuration file.
  * Made lintian (more) happy: 
    - added Description: to patches
    - included buid-{arch,indep} target in debian/rules
    - bumped Standards-Version to 3.9.2
    - added debian/watch file
    - included Homepage: field in debian/control
    - updated debian/patches/manpages_hyphen2minus
    - maintainer scripts: use "set -e" instead of "#!/bin/sh -e"
    - added overrides for statically-linked-binary and embedded-library

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 30 Dec 2011 14:29:43 +0100
