=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.5
+Homepage: http://sourceforge.net/projects/tripwire/
 
 Package: tripwire
 Architecture: any
 Pre-Depends: ${misc:Depends}
 Depends: ${shlibs:Depends}, postfix | mail-transport-agent
+Built-Using: ${Built-Using}
 Description: file and directory integrity checker
  Tripwire is a tool that aids system administrators and users in
  monitoring a designated set of files for any changes.  Used with
