=== debian/rules ===
--- 
+++ 
@@ -9,22 +9,24 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+# Add Built-Using to debian/control
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libgcc1 libc6)
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
-
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
 
 config.status: $(QUILT_STAMPFN)
 	dh_testdir
-	cp /usr/share/misc/config.guess .
-	cp /usr/share/misc/config.sub .
-	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire
+	dh_autotools-dev_updateconfig
+	./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: config.status
 	dh_testdir
@@ -42,8 +44,9 @@
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
-
-	dh_clean
+	
+	dh_autotools-dev_restoreconfig
+	dh_clean -Xsrc/buildnum.h~ -Xsrc/fco/fconame.h~ -Xsrc/fco/fcosetimpl.h~
 
 install: build
 	dh_testdir
@@ -56,7 +59,7 @@
 	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/policyguide.txt
 	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/COPYING
 	install -m 600 debian/twcfg.txt debian/twpol.txt $(CURDIR)/debian/tripwire/etc/tripwire/
-	install -m 644 -D debian/overrides $(CURDIR)/debian/tripwire/usr/share/lintian/overrides/tripwire
+#	install -m 644 -D debian/overrides $(CURDIR)/debian/tripwire/usr/share/lintian/overrides/tripwire
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -71,6 +74,7 @@
 	dh_installexamples
 	dh_installcron
 	dh_installman
+	dh_lintian
 	dh_installchangelogs ChangeLog
 	dh_link
 	dh_strip
@@ -78,7 +82,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
 	dh_md5sums
 	dh_builddeb
