=== debian/watch ===
version=3
http://sf.net/tripwire/tripwire-(.*)\.tar\.gz
