## tripwire 2.4.3.1

=== debian/changelog ===
tripwire (2.4.3.1-2) unstable; urgency=medium

  * Use libc-dev-bin instead of libc6 to generate correct Built-Using.
    (Closes: #830720)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 10 Nov 2016 17:21:04 +0100

tripwire (2.4.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches applied upstream:
      fix_ftbfs_with_gcc_4.7, fix_ftbfs_with_gcc_4.9,source_typo
    - (Closes: #811722, #807655, #807362, #686860)
  * debian/watch: Update upstream repository
  * debian/control: Update Homepage. Bumped Standards-Version to 3.9.8

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 12 May 2016 10:55:30 +0200
