=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.5
-Homepage: http://sourceforge.net/projects/tripwire/
+Standards-Version: 3.9.8
+Homepage: https://github.com/Tripwire/tripwire-open-source
 
 Package: tripwire
 Architecture: any
