=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 # Add Built-Using to debian/control
-BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libgcc1 libc6)
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libgcc1 libc-dev-bin)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
