## tripwire 2.4.3.7

=== debian/changelog ===
tripwire (2.4.3.7-1) unstable; urgency=medium

  [ Santiago Vila ]
  * New upstream release.
  * debian/rules: Use dh_auto_configure instead of ./configure to support
    cross-builds. Closes: #896474.
  * debian/compat: Raise debhelper compat level to 9.
    debian/control: Build-Depends on debhelper 9.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 07 May 2018 18:25:36 +0200
