=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 config.status: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autotools-dev_updateconfig
-	./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire
+	dh_auto_configure -- --disable-openssl --enable-static --sysconfdir=/etc/tripwire
 
 build: build-arch build-indep
 build-arch: build-stamp
