=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tripwire-open-source-$1\.tar\.gz/ \
  https://github.com/Tripwire/tripwire-open-source/tags .*/v?(\d\S*)\.tar\.gz
