## tripwire rpm4

=== src/Makefile ===
--- 
+++ 
@@ -81,8 +81,6 @@
 
 SYSPRE = i686-pc-linux
 #SYSPRE = sparc-linux
-#SYSPRE = i386-unknown-freebsd
-#SYSPRE = i386-unknown-openbsd
 
 
 #-----------------------------------------------------------------------------
@@ -93,7 +91,7 @@
 # file to Makefile.linux_intel or something similar.
 
 MAKEFILE = Makefile
-GMAKE = gmake
+GMAKE = /usr/bin/gmake
 
 #-----------------------------------------------------------------------------
 # STLPORT
